osl::rating::BradleyTerry::Thread Class Reference

## Public Member Functions

| Thread (const BradleyTerry *a, size_t t, size_t f, size_t l, valarray_t *w, std::valarray< long double > *d, size_t *s)
void | operator() ()

## Public Attributes

const BradleyTerry * | features
size_t | target
size_t | first
size_t | last
valarray_t * | wins
std::valarray< long double > * | denominator
size_t * | skip

## Detailed Description

Definition at line 77 of file bradleyTerry.cc.

## Constructor & Destructor Documentation

## Thread()

osl::rating::BradleyTerry::Thread::Thread | ( | const BradleyTerry * | a,
|  | size_t | t,
|  | size_t | f,
|  | size_t | l,
|  | valarray_t * | w,
|  | std::valarray< long double > * | d,
|  | size_t * | s )

inline

Definition at line 87 of file bradleyTerry.cc.

References osl::rating::BradleyTerry::BradleyTerry(), denominator, features, first, last, skip, target, and wins.

## Member Function Documentation

## operator()()

void osl::rating::BradleyTerry::Thread::operator() | ( |  | ) |

inline

Definition at line 92 of file bradleyTerry.cc.

References denominator, features, first, last, skip, target, and wins.

## Member Data Documentation

## denominator

std::valarray<long double>* osl::rating::BradleyTerry::Thread::denominator

Definition at line 85 of file bradleyTerry.cc.

Referenced by operator()(), Thread(), and osl::rating::BradleyTerry::update().

## features

const BradleyTerry* osl::rating::BradleyTerry::Thread::features

Definition at line 81 of file bradleyTerry.cc.

Referenced by operator()(), and Thread().

## first

size_t osl::rating::BradleyTerry::Thread::first

Definition at line 83 of file bradleyTerry.cc.

Referenced by operator()(), and Thread().

## last

size_t osl::rating::BradleyTerry::Thread::last

Definition at line 83 of file bradleyTerry.cc.

Referenced by operator()(), and Thread().

## skip

size_t* osl::rating::BradleyTerry::Thread::skip

Definition at line 86 of file bradleyTerry.cc.

Referenced by operator()(), Thread(), and osl::rating::BradleyTerry::update().

## target

size_t osl::rating::BradleyTerry::Thread::target

Definition at line 82 of file bradleyTerry.cc.

Referenced by operator()(), and Thread().

## wins

valarray_t* osl::rating::BradleyTerry::Thread::wins

Definition at line 84 of file bradleyTerry.cc.

Referenced by operator()(), Thread(), and osl::rating::BradleyTerry::update().

The documentation for this class was generated from the following file:

- bradleyTerry.cc